"""
Contract Settlement Detail JSONL Handler
"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import ContractSettlementDetailSyncNode
from schemas.contract_settlement.contract_settlement_detail import ContractSettlementDetailResponse


class ContractSettlementDetailJsonlHandler(BaseJsonlHandler):
    """合同结算明细 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "contract_settlement_detail", ContractSettlementDetailSyncNode, ContractSettlementDetailResponse)
